--- old/usr/src/cmd/w/w.c	Thu Nov 14 08:20:42 2013
+++ new/usr/src/cmd/w/w.c	Thu Nov 14 08:20:42 2013
@@ -129,7 +129,6 @@
 static void	calctotals(struct uproc *);
 static void	prttime(time_t, char *);
 static void	prtat(time_t *time);
-static void	checkampm(char *str);
 
 static char	*prog;		/* pointer to invocation name */
 static int	header = 1;	/* true if -h flag: don't print heading */
@@ -676,21 +675,19 @@
 	if (now - *time <= 18 * HR) {
 		char timestr[50];
 		(void) strftime(timestr, sizeof (timestr),
-		    dcgettext(NULL, "%l:%M""%p", LC_TIME), p);
-		checkampm(timestr);
+		    " %R  ", p);
 		PRINTF((" %s", timestr));
 	} else if (now - *time <= 7 * DAY) {
 		char weekdaytime[20];
 
 		(void) strftime(weekdaytime, sizeof (weekdaytime),
-		    dcgettext(NULL, "%a%l%p", LC_TIME), p);
-		checkampm(weekdaytime);
+		    "%a%H  ", p);
 		PRINTF((" %s", weekdaytime));
 	} else {
 		char monthtime[20];
 
 		(void) strftime(monthtime, sizeof (monthtime),
-		    dcgettext(NULL, "%e%b%y", LC_TIME), p);
+		    "%e%b%y", p);
 		PRINTF((" %s", monthtime));
 	}
 }
@@ -738,15 +735,3 @@
 		}
 	}
 }
-
-/* replaces all occurences of AM/PM with am/pm */
-static void
-checkampm(char *str)
-{
-	char *ampm;
-	while ((ampm = strstr(str, "AM")) != NULL ||
-	    (ampm = strstr(str, "PM")) != NULL) {
-		*ampm = tolower(*ampm);
-		*(ampm+1) = tolower(*(ampm+1));
-	}
-}
